complexType "ExternalDocument"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 6 elements
Defined: | globally in fpml-shared-5-3.xsd; see XML source
Includes: | definitions of 6 elements
Used: | never

Content Model Diagram

XML Representation Summary
<...>
Content: | mimeType, (string | hexadecimalBinary | base64Binary | url | attachmentReference)
</...>

Content Model Elements (6):

  attachmentReference,
  base64Binary (defined in ExternalDocument complexType),
  hexadecimalBinary (defined in ExternalDocument complexType),
  mimeType (defined in ExternalDocument complexType),
  string (defined in ExternalDocument complexType),
  url (defined in ExternalDocument complexType)

Annotation
A for holding information about documents external to the FpML.
XML Source (w/o annotations (7); see within schema source)

<xsd:complexType name="ExternalDocument"> <xsd:sequence> <xsd:element name="mimeType" type="MimeType"/> <xsd:choice> <xsd:element name="string" type="xsd:string"/> <xsd:element name="hexadecimalBinary" type="xsd:hexBinary"/> <xsd:element name="base64Binary" type="xsd:base64Binary"/> <xsd:element name="url" type="xsd:anyURI"/> <xsd:element name="attachmentReference" type="HTTPAttachmentReference"/> </xsd:choice> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 6/6)
attachmentReference

  Type: | HTTPAttachmentReference, empty content

  Provides a place to put a reference to an attachment on an HTTP message, such as is used by SOAP with Attachments and ebXML.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="attachmentReference" type="HTTPAttachmentReference"/>

base64Binary

  Type: | xsd:base64Binary, predefined, simple content

  Provides extra information as binary contents coded in base64.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="base64Binary" type="xsd:base64Binary"/>

hexadecimalBinary

  Type: | xsd:hexBinary, predefined, simple content

  Provides extra information as binary contents coded in hexadecimal.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="hexadecimalBinary" type="xsd:hexBinary"/>

mimeType

  Type: | MimeType, simple content

  Indicates the type of media used to store the content. mimeType is used to determine the software product(s) that can read the content. MIME Types are described in RFC 2046.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="mimeType" type="MimeType"/>

string

  Type: | xsd:string, predefined, simple content

  Provides extra information as string. In case the extra information is in XML format, a CDATA section must be placed around the source message to prevent its interpretation as XML content.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="string" type="xsd:string"/>

url

  Type: | xsd:anyURI, predefined, simple content

  Provides extra information as URL that references the information on a web server accessible to the message recipient.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="url" type="xsd:anyURI"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.